[02/11] Add support for Django REST Framework 3.7, 3.8

Message ID 20180624195557.19909-2-stephen@that.guru
State Accepted
Headers show
Series
  • [01/11] REST: Check.user is not read-only
Related show

Commit Message

Stephen Finucane June 24, 2018, 7:55 p.m.
No breaking changes that concern us here.

Signed-off-by: Stephen Finucane <stephen@that.guru>
---
 README.rst                                                  | 2 +-
 .../notes/django-rest-framework-3-7-bc6ad5df8bc54afc.yaml   | 6 ++++++
 .../notes/django-rest-framework-3-8-23865db833b4d188.yaml   | 6 ++++++
 requirements-dev.txt                                        | 2 +-
 requirements-prod.txt                                       | 2 +-
 tox.ini                                                     | 5 +++--
 6 files changed, 18 insertions(+), 5 deletions(-)
 create mode 100644 releasenotes/notes/django-rest-framework-3-7-bc6ad5df8bc54afc.yaml
 create mode 100644 releasenotes/notes/django-rest-framework-3-8-23865db833b4d188.yaml

Comments

Daniel Axtens July 12, 2018, 12:29 a.m. | #1
Stephen Finucane <stephen@that.guru> writes:

> No breaking changes that concern us here.
>
> Signed-off-by: Stephen Finucane <stephen@that.guru>
> ---
>  README.rst                                                  | 2 +-
>  .../notes/django-rest-framework-3-7-bc6ad5df8bc54afc.yaml   | 6 ++++++
>  .../notes/django-rest-framework-3-8-23865db833b4d188.yaml   | 6 ++++++
>  requirements-dev.txt                                        | 2 +-
>  requirements-prod.txt                                       | 2 +-
>  tox.ini                                                     | 5 +++--
>  6 files changed, 18 insertions(+), 5 deletions(-)
>  create mode 100644 releasenotes/notes/django-rest-framework-3-7-bc6ad5df8bc54afc.yaml
>  create mode 100644 releasenotes/notes/django-rest-framework-3-8-23865db833b4d188.yaml
>
> diff --git a/README.rst b/README.rst
> index 4a970ec5..ddc4b981 100644
> --- a/README.rst
> +++ b/README.rst
> @@ -45,7 +45,7 @@ Requirements
>  
>  - Django (1.8 - 1.11)
>  
> -- Django REST Framework (3.2 - 3.6)
> +- Django REST Framework (3.4 - 3.8)
I notice here that there's a change in the minimum version that is
already applied below. I imagine we just forgot to change this earlier?

If so,
Reviewed-by: Daniel Axtens <dja@axtens.net>

Regards,
Daniel

>  
>  - Django Filters (1.0)
>  
> diff --git a/releasenotes/notes/django-rest-framework-3-7-bc6ad5df8bc54afc.yaml b/releasenotes/notes/django-rest-framework-3-7-bc6ad5df8bc54afc.yaml
> new file mode 100644
> index 00000000..4bf92c99
> --- /dev/null
> +++ b/releasenotes/notes/django-rest-framework-3-7-bc6ad5df8bc54afc.yaml
> @@ -0,0 +1,6 @@
> +---
> +upgrade:
> +  - |
> +    `Django REST Framework 3.7
> +    <http://www.django-rest-framework.org/topics/release-notes/#370/>`_ is now
> +    supported.
> diff --git a/releasenotes/notes/django-rest-framework-3-8-23865db833b4d188.yaml b/releasenotes/notes/django-rest-framework-3-8-23865db833b4d188.yaml
> new file mode 100644
> index 00000000..dc2d2c8f
> --- /dev/null
> +++ b/releasenotes/notes/django-rest-framework-3-8-23865db833b4d188.yaml
> @@ -0,0 +1,6 @@
> +---
> +upgrade:
> +  - |
> +    `Django REST Framework 3.8
> +    <http://www.django-rest-framework.org/topics/release-notes/#380/>`_ is now
> +    supported.
> diff --git a/requirements-dev.txt b/requirements-dev.txt
> index 7a8fdb9c..b12246dd 100644
> --- a/requirements-dev.txt
> +++ b/requirements-dev.txt
> @@ -1,4 +1,4 @@
>  Django>=1.8,<2.0
> -djangorestframework>=3.4,<3.7
> +djangorestframework>=3.4,<3.9
>  django-filter>=1.0,<1.1
>  -r requirements-test.txt
> diff --git a/requirements-prod.txt b/requirements-prod.txt
> index d249ad84..42ff8ecd 100644
> --- a/requirements-prod.txt
> +++ b/requirements-prod.txt
> @@ -1,5 +1,5 @@
>  Django>=1.8,<2.0
> -djangorestframework>=3.4,<3.7
> +djangorestframework>=3.4,<3.9
>  django-filter>=1.0,<1.1
>  psycopg2>=2.7,<2.8
>  sqlparse==0.2.4
> diff --git a/tox.ini b/tox.ini
> index a64d9587..c1bc64e3 100644
> --- a/tox.ini
> +++ b/tox.ini
> @@ -10,8 +10,9 @@ deps =
>      django19: django>=1.9,<1.10
>      django110: django>=1.10,<1.11
>      django111: django>=1.11,<2.0
> -    django{18,19,110}: djangorestframework>=3.4,<3.7
> -    django111: djangorestframework>=3.6,<3.7
> +    django{18,19}: djangorestframework>=3.4,<3.7
> +    django110: djangorestframework>=3.4,<3.9
> +    django111: djangorestframework>=3.6,<3.9
>      django{18,19,110,111}: django-filter>=1.0,<1.1
>  setenv =
>      DJANGO_SETTINGS_MODULE = patchwork.settings.dev
> -- 
> 2.17.1
>
> _______________________________________________
> Patchwork mailing list
> Patchwork@lists.ozlabs.org
> https://lists.ozlabs.org/listinfo/patchwork

Patch

diff --git a/README.rst b/README.rst
index 4a970ec5..ddc4b981 100644
--- a/README.rst
+++ b/README.rst
@@ -45,7 +45,7 @@  Requirements
 
 - Django (1.8 - 1.11)
 
-- Django REST Framework (3.2 - 3.6)
+- Django REST Framework (3.4 - 3.8)
 
 - Django Filters (1.0)
 
diff --git a/releasenotes/notes/django-rest-framework-3-7-bc6ad5df8bc54afc.yaml b/releasenotes/notes/django-rest-framework-3-7-bc6ad5df8bc54afc.yaml
new file mode 100644
index 00000000..4bf92c99
--- /dev/null
+++ b/releasenotes/notes/django-rest-framework-3-7-bc6ad5df8bc54afc.yaml
@@ -0,0 +1,6 @@ 
+---
+upgrade:
+  - |
+    `Django REST Framework 3.7
+    <http://www.django-rest-framework.org/topics/release-notes/#370/>`_ is now
+    supported.
diff --git a/releasenotes/notes/django-rest-framework-3-8-23865db833b4d188.yaml b/releasenotes/notes/django-rest-framework-3-8-23865db833b4d188.yaml
new file mode 100644
index 00000000..dc2d2c8f
--- /dev/null
+++ b/releasenotes/notes/django-rest-framework-3-8-23865db833b4d188.yaml
@@ -0,0 +1,6 @@ 
+---
+upgrade:
+  - |
+    `Django REST Framework 3.8
+    <http://www.django-rest-framework.org/topics/release-notes/#380/>`_ is now
+    supported.
diff --git a/requirements-dev.txt b/requirements-dev.txt
index 7a8fdb9c..b12246dd 100644
--- a/requirements-dev.txt
+++ b/requirements-dev.txt
@@ -1,4 +1,4 @@ 
 Django>=1.8,<2.0
-djangorestframework>=3.4,<3.7
+djangorestframework>=3.4,<3.9
 django-filter>=1.0,<1.1
 -r requirements-test.txt
diff --git a/requirements-prod.txt b/requirements-prod.txt
index d249ad84..42ff8ecd 100644
--- a/requirements-prod.txt
+++ b/requirements-prod.txt
@@ -1,5 +1,5 @@ 
 Django>=1.8,<2.0
-djangorestframework>=3.4,<3.7
+djangorestframework>=3.4,<3.9
 django-filter>=1.0,<1.1
 psycopg2>=2.7,<2.8
 sqlparse==0.2.4
diff --git a/tox.ini b/tox.ini
index a64d9587..c1bc64e3 100644
--- a/tox.ini
+++ b/tox.ini
@@ -10,8 +10,9 @@  deps =
     django19: django>=1.9,<1.10
     django110: django>=1.10,<1.11
     django111: django>=1.11,<2.0
-    django{18,19,110}: djangorestframework>=3.4,<3.7
-    django111: djangorestframework>=3.6,<3.7
+    django{18,19}: djangorestframework>=3.4,<3.7
+    django110: djangorestframework>=3.4,<3.9
+    django111: djangorestframework>=3.6,<3.9
     django{18,19,110,111}: django-filter>=1.0,<1.1
 setenv =
     DJANGO_SETTINGS_MODULE = patchwork.settings.dev